Stop a sprint (end-user emergency brake)
POST
/agents/plans/{id}/stop
const url = 'https://example.com/api/agents/plans/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/stop';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/agents/plans/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/stop \ --header 'Authorization: Bearer <token>'Round 2. Queued lanes fail immediately (“stopped by user”); claimed/running/ paused lanes get an abort control the worker or supervisor actuates; shipping lanes are left to finish their PR. Project members may call this.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string format: uuid
Responses
Section titled “ Responses ”Stop result
Media type application/json
object
queuedFailed
required
integer
abortsEnqueued
required
integer
Forbidden
Media type application/json
object
error
required
Human-readable error message
string
code
Stable machine-readable error code for client branching
string
fieldErrors
First validation message per field path
object
key
additional properties
string
issues
Structured validation issues (Zod)
Array<object>
object
path
required
string
message
required
string
retryAfter
Seconds until rate limit resets (429 responses)
number
Not found
Media type application/json
object
error
required
Human-readable error message
string
code
Stable machine-readable error code for client branching
string
fieldErrors
First validation message per field path
object
key
additional properties
string
issues
Structured validation issues (Zod)
Array<object>
object
path
required
string
message
required
string
retryAfter
Seconds until rate limit resets (429 responses)
number